<template>
  <div class="absolute -bottom-4 left-4 flex items-center gap-2 w-auto h-auto">
    <div
        v-for="(reaction, reactionindex) in reactions"
        :key="`reaction_${reactionindex}`"
        class="relative flex items-center justify-center w-8 h-8 bg-white rounded-full shadow-md">
      {{ reaction.value }}
    </div>
  </div>
</template>

<script setup lang="ts">
import {ref, watch} from "vue";

interface Props {
  reactionList: any
}


let props = withDefaults(defineProps<Props>(), {
  reactionList: []
})

const reactions = ref([])

watch(() => props?.reactionList, (val) => {
  reactions.value = val
})
</script>
